#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0x823fc30, "nft_redir_policy" },
	{ 0xf46caf6e, "nft_redir_validate" },
	{ 0x6880fe5c, "nft_redir_dump" },
	{ 0xa6f12820, "nft_redir_init" },
	{ 0xf351e3d6, "nft_unregister_expr" },
	{ 0xe416025e, "nft_register_expr" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0x373a853d, "nf_nat_redirect_ipv6" },
	{ 0x15be72ed, "nf_ct_netns_put" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nft_redir,nf_tables,nf_nat,nf_conntrack";


MODULE_INFO(srcversion, "40C9667056226E1976F3A5E");
